Page MenuHomePhabricator

OpenSearch is not using https in its content even it's being accessed via https
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/opensearch_desc.php is full of "http://en.wikipedia.org/"


Version: unspecified
Severity: enhancement

Details

Reference
bz31325

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:53 PM
bzimport added a project: HTTPS.
bzimport set Reference to bz31325.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Oct 3 2011, 2:32 PM

This is on purpose. opensearch_desc.php returns so-called canonical URLs, and on the Wikimedia cluster those are http URLs.

liangent RoanKattouw: Bug 31325 - what if I want to access https pages from my firefox search box?
RoanKattouw Hmm, right
RoanKattouw That is a valid feature request, yeah
RoanKattouw reopens bug

(In reply to Roan Kattouw from comment #2)

liangent RoanKattouw: Bug 31325 - what if I want to access https pages from
my firefox search box?

Related hint: Firefox' search bar will switch to using HTTPS for Wikipedia in Firefox 34: https://bugzilla.mozilla.org/show_bug.cgi?id=758857

It's not solely a Firefox problem (though I appreciate that Mozilla will fix this issure in future versions). I tested this in Internet Explorer 11, with the same result.

Since August 2013, https is the standard protocol at least for registered users. We should offer non-registered users the same convenience. Isn't it possible to use protocol-relative URLs in opensearch_desc.php?

Chmarkine closed this task as Resolved.Aug 21 2015, 8:46 AM
Chmarkine claimed this task.
Chmarkine added a subscriber: Chmarkine.

This was resolved when the canonical URLs on all pages point to HTTPS. T53002

Chmarkine removed Chmarkine as the assignee of this task.Aug 21 2015, 8:47 AM
Chmarkine set Security to None.
Chmarkine removed a subscriber: Chmarkine.